>From d5be5dd5090aeee856ae20997d6f54db8a67e80b Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Mon, 16 Jun 2014 12:25:21 +0800
Subject: [PATCH 2/2] Discuss issues with SDK support and installation

---
 winbuild/readme.txt | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/winbuild/readme.txt b/winbuild/readme.txt
index 8faa118..eb6407b 100755
--- a/winbuild/readme.txt
+++ b/winbuild/readme.txt
@@ -17,8 +17,15 @@
      You have to include x64 development tools (bin, lib, include) as
      well as x86 ones for the installation.
 
+  Note that the Visual Studio 2010 install conflicts with Windows SDK 7.1.
+  Visual Studio 2012 conflict with both Windows SDK 7.1 and Visual Studio 2010.
+  Finally, Windows SDK 7.1 will fail to install if a newer Visual Studio 2010 
+  runtime is already installed on the computer.
 
-  Please start a powershell console and
+  To avoid conflicts, install only one SDK. There is an order in which all
+  can be installed safely, but it's cumbersome and there's little benefit.
+
+  Once you have an SDK installed, please start a powershell console and
 
   2. Set the ExecutionPolicy of Powershell to RemoteSigned or Unrestricted.
      You can get the ExecutionPolicy by typing
@@ -85,6 +92,12 @@
 
      ... and the Visual Studio runtime redist for the version of Visual Studio
      you compiled with.
+
+Troubleshooting:
+
+Some documentation on dealing with Windows SDK installation issues can be found
+on the related pg_build_win page:
+https://github.com/2ndQuadrant/pg_build_win#troubleshooting
      
 
 ***********************************************************************/
-- 
1.9.0

